Nowe posty

Autor Wątek: Aplikacja e-Deklaracje, Adobe Air a Slackware  (Przeczytany 2037 razy)

Offline PrzemekF

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 5
    • Zobacz profil
Aplikacja e-Deklaracje, Adobe Air a Slackware
« dnia: 2018-12-23, 10:42:42 »
Na stronie Ministerstwa Finansów można znaleźć aplikację e-Deklaracje Desktop do wysyłania zeznań PIT. Jest napisane, że aplikacja działa w systemach Windows, Mac i Linux. Wymagane są Adobe Air i Adobe Reader.

Ze strony get.adobe.com/air pobrałem ostatnią wersję Adobe Air, która ukazała się dla Linuksa. Ale graficzny instalator wyświetla błąd, że obsługiwane są tylko dystrybucje oparte na RPM albo Debianie.

Cytuj
Adobe AIR could not be installed because this is not a supported Linux distribution. Only RPM- and Debian-based Linux distributions are supported.

Czy ktoś próbował zainstalować Adobe Air w systemie Slackware?

Narzędzie rpm jest obecne w Slackware, ale instalator Adobe Air (z tego co widzę w strace) wywołuje "rpm -q rpm" i "rpm --qf '%{VERSION}' -q rpm" żeby sprawdzić wersję programu rpm w systemie. Te polecenia dają taki efekt:

Cytuj
bash-4.3# rpm -q rpm
package rpm is not installed
bash-4.3# rpm --qf '%{VERSION}' -q rpm
package rpm is not installed

Oczywiście narzędzie rpm w Slackware instaluje się z pakietu txz, a nie rpm, więc informacji o nim w bazie rpm nie ma. Myślę, że gdyby wgrać jakiś pakiet rpm (używając rpm -i) np. pusty ale o właściwej nazwie i numerze wersji, może wtedy instalator Adobe ruszyłby dalej.

Offline 1709

  • Users
  • Guru
  • *****
  • Wiadomości: 2168
  • 1709
    • Zobacz profil
Odp: Aplikacja e-Deklaracje, Adobe Air a Slackware
« Odpowiedź #1 dnia: 2018-12-23, 12:54:30 »
1. Nie obraz sie ale kombinujesz jak kon pod gorke
Skoro pisze ze twoj system jest nie wspierany no to nie.
( poprawka: wspierany system jesli jest wspierany to musi byc wymieniony jako wspierany )
2. https://get.adobe.com/air/
Cytuj
Adobe AIR for Linux is no longer supported. To access older, unsupported versions, please read the AIR archive.
Skoro Linux jest nie wspierany, no to nie.
3. Jesli e-deklaracje wspieraja nie wspierane aplikacje i nie wspierany system to trzeba przeczytac jak
wyszukiwarka znalazla to https://www.finanse.mf.gov.pl/systemy-informatyczne/e-deklaracje/pytania-i-odpowiedzi/-/asset_publisher/U7Sn/content/33-instalacja-aplikacji-w-srodowisku-linux-na-platformie-64-bitowej
w linku jest plik .pdf i tam jest data:  Warszawa, 07.03.2018r.
Czyli plik jest z tego roku wiec mozna go uznac za aktualny
I z tego sprobuj wybrac cos aktualnego,
 bo jak tam widze np. Ubuntu 13.10 ktoremu wsparcie wygaslo w lipcu 2014, no wiesz :)
no z nieaktualnym mozesz miec ogromny problem.
4. Chcesz miec e-deklaracje, ale nie chcesz formatowac dysk na nowy system, albo nie masz czasu, albo twoj komputer nie uciagnie proponowanego systemu ?
- A kogo to obchodzi ? :D
- Ale gdybys mial troche czasu, to moze na Slackware jest Virtualbox i jesli twoj komputer drugi system uciagnie
to tam na maszynie wirtualnej https://www.youtube.com/watch?v=Jgyn7SibuNM
mozesz sprobowac zainstalowac jakis najnowszy proponowany system.
« Ostatnia zmiana: 2018-12-23, 14:42:41 wysłana przez 1709 »
Pochwal się swoją kartą graficzną w tym wątku-->
http://forum.linux.pl/index.php/topic,19841.msg121122.html#msg121122

Offline Andrzej J

  • Users
  • Guru
  • *****
  • Wiadomości: 704
    • Zobacz profil
Odp: Aplikacja e-Deklaracje, Adobe Air a Slackware
« Odpowiedź #2 dnia: 2018-12-23, 13:34:54 »
Spróbuj pokombinować z tym poradnikiem:
https://nocnypingwin.pl/e-deklaracje-pod-linuxem-2017/
Podstawa to multiarch czyli korzystanie z 32b architektury gdy system jest 64b Slackware pewnie ma taką możliwość . W devuanie unstable/ debianie testing  mam e-deklaracje działające przynajmniej do dziś od 2012 roku. W tym roku w lato instalowałem wg. powyższego poradnika bo zmieniałem dysk na ssd i postanowiłem wszystko zaorać i dyski podzielić na nowo.
Swojego czasu próbowałem ten program przez wine wersję pod windowsa i też działało.
« Ostatnia zmiana: 2018-12-23, 15:04:30 wysłana przez Andrzej J »

Offline arecki

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 44
    • Zobacz profil
Odp: Aplikacja e-Deklaracje, Adobe Air a Slackware
« Odpowiedź #3 dnia: 2018-12-23, 17:21:21 »
Dodatkowo można pomyśleć o dockerze, chyba najrozsądniejszy wybór jeśli jest problem uruchomić natywnie we własnej dystrybucji.


Offline PrzemekF

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 5
    • Zobacz profil
Odp: Aplikacja e-Deklaracje, Adobe Air a Slackware
« Odpowiedź #4 dnia: 2018-12-24, 11:42:55 »
Używam 32-bitowej wersji Slackware (mój laptop z procesorem Atom nie obsługuje 64 bitów) więc mam łatwiej, niż ci którzy mają dystrybucje 64-bitowe.

Spróbuj pokombinować z tym poradnikiem:
https://nocnypingwin.pl/e-deklaracje-pod-linuxem-2017/

Tu są 2 rozwiązania, które powinny zadziałać. Ten sposób instalacji Adobe Air z repozytorium użytkowników Archa to jest raczej taki "hack" a nie kompletna instalacja, dlatego spróbuję najpierw z oficjalnym pakietem RPM, którego wcześniej nie miałem, a adres jest w artykule powyżej:
Cytuj
http://airdownload.adobe.com/air/lin/download/2.6/adobeair.i386.rpm
Później napiszę, czy udało się go zainstalować i uruchomić.
« Ostatnia zmiana: 2018-12-24, 11:51:17 wysłana przez PrzemekF »

Offline PrzemekF

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 5
    • Zobacz profil
Odp: Aplikacja e-Deklaracje, Adobe Air a Slackware
« Odpowiedź #5 dnia: 2018-12-26, 19:12:28 »
Mam też system CentOS 6 (32-bit) w maszynie wirtualnej i tam Adobe Air i e-Deklaracje instalują się i uruchamiają bez żadnego problemu, nic więcej nie trzeba robić. (Testowałem do momentu, kiedy wyświetla się formularz PIT w PDF.) Tak tylko dodaję gdyby komuś miało pomóc.

Offline PrzemekF

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 5
    • Zobacz profil
Odp: Aplikacja e-Deklaracje, Adobe Air a Slackware
« Odpowiedź #6 dnia: 2018-12-28, 18:47:31 »
Pod Slackware też uruchomiłem e-Deklaracje, ale musiałem zrobić prosty wrapper, który "opakowuje" wywołania rpm.

/usr/bin/airwrap:
export PATH="/usr/lib/airwrap/rpm:$PATH"
exec "$@"
/usr/lib/airwrap/rpm/rpm:
if [ "$1" = "-q" -a "$2" = "rpm" ]
then
  echo rpm-4.12.0.1-1.i586
  exit 0
elif [ "$1" = "--qf" -a "$2" = '%{VERSION}' -a "$3" = "-q" -a "$4" = "rpm" ]
then
  echo 4.12.0.1
  exit 0
elif [ "$1" = "-U" ]
then
  exec /bin/rpm --nodeps "$@"
else
  exec /bin/rpm "$@"
fi

Używam go w ten sposób:

# airwrap ./AdobeAIRInstaller.bin
# airwrap "/opt/Adobe AIR/Versions/1.0/Adobe AIR Application Installer"

Pierwszym poleceniem uruchamiam instalator Adobe Air, pobrany ze strony Adobe, drugim - instalację aplikacji z pliku .air, np. e-Deklaracje.

Kilka screenshotów: https://imgur.com/a/iDtJEGa









Dołączam do posta paczkę dla Slackware airwrap.txz, gdyby ktoś chciał. (Edit: Jeśli ktoś nie ma konta na tym forum, wrzucam też na dropbox: airwrap.txz)

Myślę, że w innych dystrybucjach, np. Arch, ten sam sposób może zadziałać z niewielkimi zmianami.
« Ostatnia zmiana: 2018-12-29, 10:32:42 wysłana przez PrzemekF »

Offline Andrzej J

  • Users
  • Guru
  • *****
  • Wiadomości: 704
    • Zobacz profil
Odp: Aplikacja e-Deklaracje, Adobe Air a Slackware
« Odpowiedź #7 dnia: 2018-12-29, 21:07:28 »
Z tego co pamiętam to w manjaro i arch nie było problemu z e-deklaracjami, bo wystarczyło włączyć AUR w repozytoriach i po problemie(pacman zainstalował) - kolega z Polski zajmował/zajmuje się tym repo....

Offline PrzemekF

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 5
    • Zobacz profil
Odp: Aplikacja e-Deklaracje, Adobe Air a Slackware
« Odpowiedź #8 dnia: 2018-12-30, 09:15:02 »
Zaglądałem kilka dni temu na stronę AUR, żeby sprawdzić, jaki mają sposób na instalację e-Deklaracji i Adobe Air. Moim zdaniem tam jest za dużo "mieszania" w oprogramowaniu upstream, czego można uniknąć, ale jeśli ludziom to działa to ok.

Tamten sposób z AUR ma jedną zaletę - dobrze integruje się z natywnym menedżerem pakietów (pacman w Arch), ale ma też taką wadę, że nie ma możliwości instalacji aplikacji z pliku .air (bez jego przerabiania/modyfikacji). Myślę, że użytkownicy powinni mieć możliwość instalacji najnowszej wersji od wydawcy, niezależnie od tego czy pakietem dla dystrybucji ktoś się aktualnie zajmuje czy nie.
« Ostatnia zmiana: 2019-01-01, 10:58:40 wysłana przez PrzemekF »